Name:           python-extras
Version:        0.0.3
Release:        2%{?dist}
Summary:        Useful extra bits for Python

License:        MIT
URL:            https://github.com/testing-cabal/extras
Source0:        https://pypi.python.org/packages/source/e/extras/extras-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
#BuildRequires:  python-testtools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
#BuildRequires:  python3-testtools

%description
extras is a set of extensions to the Python standard library, originally
written to make the code within testtools cleaner, but now split out for
general use outside of a testing context.


%package -n python3-extras
Summary:        Useful extra bits for Python

%description -n python3-extras
extras is a set of extensions to the Python standard library, originally
written to make the code within testtools cleaner, but now split out for
general use outside of a testing context.


%prep
%setup -q -n extras-%{version}
# Remove bundled egg-info
rm -rf %{py3dir}
cp -a . %{py3dir}

find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install

# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

#%check
#%{__python} setup.py test
#
#pushd %{py3dir}
#%{__python3} setup.py test
#popd


%files
%doc LICENSE NEWS README.rst
# For noarch packages: sitelib
%{python_sitelib}/*

%files -n python3-extras
%doc LICENSE NEWS README.rst
%{python3_sitelib}/*


%changelog
* Fri Oct 28 2016 Derek Maciel <dam402@nbcs.rutgers.edu> - 0.0.3-2
- Rebuild for Rutgers CentOS 6
- Always build for python3
- Remove circular dependency with python{,3}-testtools

* Wed May 29 2013 Matthias Runge <mrunge@redhat.com> - 0.0.3-2
- spec cleanup and enable tests

* Wed May  1 2013 Michel Salim <salimma@fedoraproject.org> - 0.0.3-1
- Initial package
